javax.resource.spi

## Annotation Type AuthenticationMechanism

-     @Documented
       @Retention(value=RUNTIME)
       @Target(value={})
      public @interface AuthenticationMechanism

  An annotation used to specify the authentication mechanism supported by the resource adapter.
  Since:
    1.6
  Version:
    Java EE Connector Architecture 1.6

- - ### Optional Element Summary

    Optional Elements
    Modifier and Type | Optional Element and Description
    --- | ---
    `java.lang.String` | `authMechanism` The authentication-mechanismType specifies an authentication mechanism supported by the resource adapter.
    `AuthenticationMechanism.CredentialInterface` | `credentialInterface` Represents the interface that the resource adapter implementation supports for the representation of the credentials.
    `java.lang.String[]` | `description` The optional description specifies any resource adapter specific requirement for the support of security contract and authentication mechanism.

- - ### Element Detail

    - #### authMechanism

          public abstract java.lang.String authMechanism

      The authentication-mechanismType specifies an authentication mechanism supported by the resource adapter. Note that this support is for the resource adapter and not for the underlying EIS instance.
      Default:
        "BasicPassword"

  - - #### description

          public abstract java.lang.String[] description

      The optional description specifies any resource adapter specific requirement for the support of security contract and authentication mechanism.
      Default:
        {}

  - - #### credentialInterface

          public abstract AuthenticationMechanism.CredentialInterface credentialInterface

      Represents the interface that the resource adapter implementation supports for the representation of the credentials. Note that BasicPassword mechanism type should support the `javax.resource.spi.security.PasswordCredential` interface. The Kerbv5 mechanism type should support the `org.ietf.jgss.GSSCredential` interface or the deprecated `javax.resource.spi.security.GenericCredential` interface.
      Default:
        javax.resource.spi.AuthenticationMechanism.CredentialInterface.PasswordCredential

Copyright © 2014 IronJacamar (http://www.ironjacamar.org)